/*******************************************************************************
**                                                                            **
**  Sample_3_2.c                                                              **
**                                                                            **
**  A sample application containing two forms and four labels, used to        **
**  demonstrate resource application.                                         **
**                                                                            **
*******************************************************************************/


#include <stdio.h>

#include <Xm/Form.h>
#include <Xm/Label.h>



Widget	theShell,
	form_1,
	form_2,
	label_1,
	label_2,
	label_3,
	label_4;



void	main( argc, argv )
	int	argc;
	char	*argv[];
{
	theShell = XtInitialize(argv[0], "Sample_3_2", NULL, NULL, &argc, argv);

	form_1 = XmCreateForm( theShell, "Form_1", NULL, 0 );
	XtManageChild( form_1 );
	form_2 = XmCreateForm( form_1, "Form_2", NULL, 0 );
	XtManageChild( form_2 );

	label_1 = XmCreateLabel( form_1, "Label_1", NULL, 0 );
	XtManageChild( label_1 );
	label_2 = XmCreateLabel( form_1, "Label_2", NULL, 0 );
	XtManageChild( label_2 );

	label_3 = XmCreateLabel( form_2, "Label_1", NULL, 0 );
	XtManageChild( label_3 );
	label_4 = XmCreateLabel( form_2, "Label_2", NULL, 0 );
	XtManageChild( label_4 );

	XtRealizeWidget( theShell );
	XtMainLoop();
}
